import scipy as sc
import k_swim as ks

# load the reduced basis for experimental displacements
Vu = sc.load('Vu.npy')
print('Vu size ',Vu.shape)
# apply k-Swim algorithm with k=25
Pu = ks.k_swim(Vu,25)
print('Selected dof ',Pu)
Pu_reference = sc.load('Pu_reference.npy')
print('Pu-Pu_reference',Pu-Pu_reference)
# Find the selected nodes inside the reduced experimental domain (RED)
Nodes = sc.unique(Pu/3+1)
print('Selected nodes ',Nodes)
